## kaleidoscope kaleidoscope — Applies 'kaleidoscope' geometric transform to the image |

## Properties

gdouble | angle | Read / Write
gdouble | angle2 | Read / Write
gint | sides | Read / Write

## Types and Values

struct | GstKaleidoscope

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstCircleGeometricTransform
                                    ╰── GstKaleidoscope

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstKaleidoscope

    struct GstKaleidoscope;

## Property Details

### The `“angle”` property

      “angle”                    gdouble

primary angle in radians of the kaleidoscope effect.

Flags: Read / Write

Default value: 0

### The `“angle2”` property

      “angle2”                   gdouble

secondary angle in radians of the kaleidoscope effect.

Flags: Read / Write

Default value: 0

### The `“sides”` property

      “sides”                    gint

Number of sides of the kaleidoscope.

Flags: Read / Write

Allowed values: >= 2

Default value: 3